﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Steema.TeeChart;

namespace TeeChartLegendProblems
{
    public partial class Form1 : Form
    {
        Font font = new Font("Calibri", 15);
        //Font font = new Font("Times New Roman", 15);

        public Form1()
        {
            this.InitializeComponent();

            this.InitializeChart();

            this.label1.Font = font;
            this.label1.ForeColor = Color.Red;
            this.label1.Text = "Font test";
        }

        private void InitializeChart()
        {
            Steema.TeeChart.TChart Chart = ChartConfig.ChartConfig.createConfiguredChart(font);
            this.Controls.Add(Chart);
            this.Height = 768;
            this.Width = 1024;

            Chart.Left = Chart.Top = 50;

            Chart.DoubleClick += this.Chart_DoubleClick;
        }

        void Chart_DoubleClick(object sender, EventArgs e)
        {
            if (!(sender is TChart))
                return;

            TChart Chart = sender as TChart;

            Chart.ShowEditor();
        }
    }
}
